
/*---------------------------------------------------------

  Sandbox Gamemode

  This is GMod's default gamemode

---------------------------------------------------------*/

include( 'shared.lua' )
include( 'cl_spawnmenu.lua' )
include( 'cl_notice.lua' )
include( 'cl_hints.lua' )
include( 'cl_tooltips.lua' )


function GM:Initialize()

	self.BaseClass:Initialize()
	surface.CreateFont( "coolvetica", 23 * ScreenScale( false ), 500, true, false, "GModNotify" )
	surface.CreateFont( "Verdana", 12, 500, true, false, "GModTooltip" )
	
end

function GM:LimitHit( name )

	Msg("You have hit the ".. name .." limit!\n")
	self:AddNotify( "#SBoxLimit_"..name, NOTIFY_ERROR, 6 )
	surface.PlaySound( "buttons/button10.wav" )

end

function GM:OnUndo( name )

	Msg( name .." undone\n" )
	self:AddNotify( "#Undone_"..name, NOTIFY_UNDO, 2 )
	
	// Find a better sound :X
	surface.PlaySound( "buttons/button2.wav" )

end

function GM:OnCleanup( name )

	Msg( name .." cleaned\n" )
	self:AddNotify( "#Cleaned_"..name, NOTIFY_CLEANUP, 5 )
	
	// Find a better sound :X
	surface.PlaySound( "buttons/button1.wav" )

end

function GM:UnfrozeObjects( num )

	Msg( "Unfroze "..num.." Objects\n" )
	self:AddNotify( "Unfroze "..num.." Objects", NOTIFY_GENERIC, 3 )
	
	// Find a better sound :X
	surface.PlaySound( "buttons/button1.wav" )

end

function GM:HUDPaint()

	// Draw all of the default stuff
	self.BaseClass:HUDPaint()
	
	self:PaintNotes()
	
end
